com.r3corda.demos / CliParams / RunNode

# RunNode

`class RunNode : CliParams`

Corresponds to roles NodeA and NodeB.

### Constructors

<init> | `RunNode(node: IRSDemoNode, dir: Path, networkAddress: <ERROR CLASS>, apiAddress: <ERROR CLASS>, mapAddress: String, identityFile: Path, tradeWithIdentities: List<Path>, uploadRates: Boolean, defaultLegalName: String, autoSetup: Boolean)` Corresponds to roles NodeA and NodeB.

### Properties

apiAddress | `val apiAddress: <ERROR CLASS>`
autoSetup | `val autoSetup: Boolean`
defaultLegalName | `val defaultLegalName: String`
dir | `val dir: Path`
identityFile | `val identityFile: Path`
mapAddress | `val mapAddress: String`
networkAddress | `val networkAddress: <ERROR CLASS>`
node | `val node: IRSDemoNode`
tradeWithIdentities | `val tradeWithIdentities: List<Path>`
uploadRates | `val uploadRates: Boolean`